> ## Documentation Index > Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt > Use this file to discover all available pages before exploring further. # List > Used to get a list of the devices using your application. All devices may be returned or a list of devices matching supplied criteria are returned. ## OpenAPI ````json POST /list/device { "openapi": "3.1.0", "info": { "title": "external-api", "version": "1" }, "servers": [ { "url": "https://api.eu.xtremepush.com/api/external" } ], "paths": { "/list/device": { "post": { "summary": "List", "description": "Used to get a list of the devices using your application. All devices may be returned or a list of devices matching supplied criteria are returned.", "operationId": "device-list", "deprecated": "false", "requestBody": { "required": "true", "content": { "application/json": { "schema": { "type": "object", "required": [ "apptoken" ], "properties": { "apptoken": { "type": "string", "description": "Your App token" }, "order": { "type": "array", "description": "Order the results in either ascending or descending order based on any of the attributes, eg. `[\"id ASC\", \"runtime\"]` or `[\"id DESC\", \"runtime\"]`", "items": { "type": "string" } }, "select": { "type": "array", "description": "Select what attributes to return, eg. `[\"id\", \"active\", \"addressable\", \"type\"]`", "items": { "type": "string" } }, "condition": { "type": "string", "format": "json", "description": "Filter the results based on some criteria, eg. `[ [\"message_id\", \">\" , 1] ]`" }, "limit": { "type": "integer", "format": "int32", "description": "Used with *offset* for pagination, eg. `\"limit\": 50, \"offset\": 0` returns a max of 50 results starting at position 0" }, "offset": { "type": "integer", "format": "int32", "description": "Used with *limit* for pagination" } } }, "examples": { "List devices registered since a date": { "value": { "apptoken": "YOUR_APPTOKEN", "condition": [ [ "create_time", ">=", "1420070400" ] ], "offset": "0", "limit": "50" } }, "Get the most recently created device": { "value": { "apptoken": "YOUR_APPTOKEN", "order": "id DESC", "offset": "0", "limit": "1" } } } } } }, "responses": { "200": { "description": "200", "content": { "application/json": { "schema": { "type": "object", "properties": { "code": { "type": "integer", "example": "200", "default": "0" }, "success": { "type": "boolean", "example": "true", "default": "true" }, "data": { "type": "array", "items": { "type": "object" } } } }, "examples": { "Result": { "value": { "code": "200", "success": "true", "data": [ { "id": "DEVICE_ID", "create_time": "1420589115", "open_time": "1420589115", "token": "f40b0df2aa78349918ae1f837275c9233f524bd09ac18fb3cc174e6e80a134ca", "active": "1", "addressable": "1", "type": "ios", "environment": "production", "device_id": "9CEFBF8C-9C9F-4242-ADE5-8942FC67806E", "device_type": "iPhone", "device_model": "iPhone5,2", "device_model_name": "iPhone 5", "device_os": "8.1.2", "name": "Test Device", "timezone": "Europe/Dublin", "country": "IE", "language": "en", "carrier_name": "Vodafone", "app_version": "1.1", "lib_version": "i22022015" } ] } } } } } }, "400": { "description": "400", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "false", "default": "true" }, "code": { "type": "integer", "example": "400", "default": "0" }, "message": { "type": "string", "example": "General error information" }, "errors": { "type": "array", "items": { "type": "object", "properties": { "text": { "type": "array", "items": { "type": "string" } } } } } } }, "examples": { "Result": { "value": { "success": "false", "code": "400", "message": "General error information", "errors": [ { "text": [ "Detailed information about the specific error" ] } ] } } } } } } }, "tags": [ "Device Methods" ] } } } } ````